[jira] [Resolved] (NETBEANS-2283) Netbeans formats content in php strings

2019-08-10 Thread Junichi Yamamoto (JIRA)


 [ 
https://issues.apache.org/jira/browse/NETBEANS-2283?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Junichi Yamamoto resolved NETBEANS-2283.

Resolution: Cannot Reproduce

If you can write your exact steps to reproduce it, please reopen this.

> Netbeans formats content in php strings 
> 
>
> Key: NETBEANS-2283
> URL: https://issues.apache.org/jira/browse/NETBEANS-2283
> Project: NetBeans
>  Issue Type: Bug
>  Components: php - Editor
>Affects Versions: 10.0
> Environment: Product Version: Apache NetBeans IDE 10.0 (Build 
> 20190122-unknown-revn)
> Java: 1.8.0_151; Java HotSpot(TM) 64-Bit Server VM 25.151-b12
> Runtime: Java(TM) SE Runtime Environment 1.8.0_151-b12
> System: Windows 10 version 10.0 running on amd64; Cp1252; de_DE (nb)
> User directory:C:\Users\AlexanderSchreiner\AppData\Roaming\NetBeans\10.0
> Cache directory:
> C:\Users\AlexanderSchreiner\AppData\Local\NetBeans\Cache\10.0
>Reporter: Alexander Schreiner
>Priority: Major
>  Labels: formatting, php
> Attachments: NETBEANS-2283.zip
>
>
> NetBeans formats PHP string literal content. This can lead to bugs when using 
> PHP functions like header 
> ([https://secure.php.net/manual/de/function.header.php)]. 
> Before: 
> {code:java}
> header('Location: /some/dir?parameter=value');
> {code}
> After: 
> {code:java}
> header('Location: /some/dir?parameter = value');
> {code}
> Expected:
> {code:java}
> header('Location: /some/dir?parameter=value');{code}
>  
> Since spaces in URLs are encoded with %20, this will return an invalid URL 
> and therefore a 404 Error!
>  
> Repro:
> I somehow can't reproduce the bug on a regular basis. But it occurs in the 
> worst times, like I mentioned above, when I try to use PHP functions like 
> header(). 
> I feel like it has a correlation with other formatting. When the file is 
> already correctly formatted, i can't reproduce the bug. But in big files, 
> let's say 150 to 300 lines, it occurs more often.
>  



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Updated] (NETBEANS-1047) PHP spaces when using Source / Organize Members

2019-08-10 Thread ASF GitHub Bot (JIRA)


 [ 
https://issues.apache.org/jira/browse/NETBEANS-1047?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

ASF GitHub Bot updated NETBEANS-1047:
-
Labels: pull-request-available  (was: )

> PHP spaces when using Source / Organize Members
> ---
>
> Key: NETBEANS-1047
> URL: https://issues.apache.org/jira/browse/NETBEANS-1047
> Project: NetBeans
>  Issue Type: Bug
>  Components: php - Formatting  Indentation
>Affects Versions: 9.0
>Reporter: Alberto Rinaudo
>Assignee: Junichi Yamamoto
>Priority: Minor
>  Labels: pull-request-available
>
> Hi,
> This thing has been bugging me for a long time.
> I always use "Organize Members" to make my code look clean and readable with 
> 0 effort.
> For php, however, some spaces are put in the wrong place.
> This is how php is formatted when using "OR":
> {code}
>  $tb = FALSE;
> if ($tb OR ! $tb)
>   ;
> if ($tb OR ( !$tb))
>   ;
> {code}
>  
> this is how it is formatted when using "||":
> {code}
>  $tb = FALSE;
> if ($tb || !$tb)
>   ;
> if ($tb || (!$tb))
>   ;
> {code}
>  
> As you can see extra spaces are added after "!" and "(" 
>  I always use OR/AND keywords as a habit, I'd love to see this fixed
> Thanks.



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[netbeans-html4j] branch master updated: Usage of @JavaScriptResource requires resources on compileJava.classpath

2019-08-10 Thread jtulach
This is an automated email from the ASF dual-hosted git repository.

jtulach pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/netbeans-html4j.git


The following commit(s) were added to refs/heads/master by this push:
 new 90517fc  Usage of @JavaScriptResource requires resources on 
compileJava.classpath
90517fc is described below

commit 90517fc1ce2d6e2af4d76f2d5fbe042185a6522f
Author: Jaroslav Tulach 
AuthorDate: Sun Aug 11 07:00:04 2019 +0200

Usage of @JavaScriptResource requires resources on compileJava.classpath
---
 .../test/java/org/netbeans/html/mojo/Gradle1Test.java|  8 ++--
 .../org/netbeans/html/mojo/gradle1/build.gradle  |  4 
 .../html/mojo/gradle1/src/main/java/Gradle1Check.java|  2 ++
 .../main/{java/Gradle1Check.java => resources/empty.js}  | 16 
 4 files changed, 12 insertions(+), 18 deletions(-)

diff --git 
a/html4j-maven-plugin/src/test/java/org/netbeans/html/mojo/Gradle1Test.java 
b/html4j-maven-plugin/src/test/java/org/netbeans/html/mojo/Gradle1Test.java
index ba94eb8..0a3335e 100644
--- a/html4j-maven-plugin/src/test/java/org/netbeans/html/mojo/Gradle1Test.java
+++ b/html4j-maven-plugin/src/test/java/org/netbeans/html/mojo/Gradle1Test.java
@@ -47,15 +47,19 @@ public class Gradle1Test {
 Class clazz = l.loadClass("Gradle1Check");
 Callable r = (Callable) clazz.newInstance();
 
-try (Closeable c = Fn.activate(new NumberPresenter())) {
+final NumberPresenter mockPresenter = new NumberPresenter();
+try (Closeable c = Fn.activate(mockPresenter)) {
 Object value = r.call();
 assertTrue(value instanceof Number, "It is a number");
 assertEquals(((Number)value).intValue(), 42, "The meaning is 
returned");
 }
+assertEquals(mockPresenter.loadScriptCount, 1, "One script loaded");
 }
 
 private static final class NumberPresenter implements Fn.Presenter {
 
+private int loadScriptCount;
+
 @Override
 public Fn defineFn(String code, String... ignore) {
 if (code.startsWith("return")) {
@@ -72,7 +76,7 @@ public class Gradle1Test {
 
 @Override
 public void loadScript(Reader reader) throws Exception {
-throw new UnsupportedOperationException();
+loadScriptCount++;
 }
 
 }
diff --git 
a/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/build.gradle
 
b/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/build.gradle
index f162133..060f4bc 100644
--- 
a/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/build.gradle
+++ 
b/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/build.gradle
@@ -36,6 +36,10 @@ version '1.0-SNAPSHOT'
 apply plugin: 'java'
 apply plugin: 'html4j'
 
+compileJava {
+classpath += files("src/main/resources")
+}
+
 dependencies {
 compile fileTree(dir: '../../../../../../../../../boot/target/', include: 
['*.jar'])
 }
diff --git 
a/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/src/main/java/Gradle1Check.java
 
b/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/src/main/java/Gradle1Check.java
index 88b97fc..6fb3e61 100644
--- 
a/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/src/main/java/Gradle1Check.java
+++ 
b/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/src/main/java/Gradle1Check.java
@@ -19,7 +19,9 @@
 
 import net.java.html.js.JavaScriptBody;
 import java.util.concurrent.Callable;
+import net.java.html.js.JavaScriptResource;
 
+@JavaScriptResource("/empty.js")
 public class Gradle1Check implements Callable {
 
 @Override
diff --git 
a/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/src/main/java/Gradle1Check.java
 
b/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/src/main/resources/empty.js
similarity index 70%
copy from 
html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/src/main/java/Gradle1Check.java
copy to 
html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/src/main/resources/empty.js
index 88b97fc..51da6c0 100644
--- 
a/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/src/main/java/Gradle1Check.java
+++ 
b/html4j-maven-plugin/src/test/resources/org/netbeans/html/mojo/gradle1/src/main/resources/empty.js
@@ -16,19 +16,3 @@
  * specific language governing permissions and limitations
  * under the License.
  */
-
-import net.java.html.js.JavaScriptBody;
-import java.util.concurrent.Callable;
-
-public class Gradle1Check implements Callable {
-
-@Override
-public Integer call() throws Exception {
-return compute();
-}
-
-@JavaScriptBody(args = {}, body = "return 42;")
-private static int compute() {
-return -1;
-}
-}


-
To 

[jira] [Commented] (NETBEANS-2082) PHP code fold not work properly

2019-08-10 Thread Junichi Yamamoto (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2082?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904556#comment-16904556
 ] 

Junichi Yamamoto commented on NETBEANS-2082:


Could you please write example code with your exact steps to reproduce it?

> PHP code fold not work properly 
> 
>
> Key: NETBEANS-2082
> URL: https://issues.apache.org/jira/browse/NETBEANS-2082
> Project: NetBeans
>  Issue Type: Bug
>  Components: php - Editor
>Affects Versions: 10.0, 11.0
> Environment: Netbeans 11 with OpenJDK 12. 
> Darwin MacBook-Pro-2.local 18.5.0 Darwin Kernel Version 18.5.0: Mon Mar 11 
> 20:40:32 PDT 2019; root:xnu-4903.251.3~3/RELEASE_X86_64 x86_64
> Netbeans 10 with OpenJDK 11.
> Darwin MacBook-Pro-2.local 18.2.0 Darwin Kernel Version 18.2.0: Thu Dec 20 
> 20:46:53 PST 2018; root:xnu-4903.241.1~1/RELEASE_X86_64 x86_64
>Reporter: Pier Luigi
>Priority: Major
>
> Collapsing a block often results in a jump of the editor to an incorrect 
> editing position (and scrolling the page cause a rejump to that position 
> after a second of scroll inactivity).
> The same sources works perfectly with Netbeans 8.2.



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-2482) PHP - Control click on method does not go to defined method

2019-08-10 Thread Junichi Yamamoto (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2482?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904553#comment-16904553
 ] 

Junichi Yamamoto commented on NETBEANS-2482:


Could you please write example code to reproduce it?

> PHP - Control click on method does not go to defined method
> ---
>
> Key: NETBEANS-2482
> URL: https://issues.apache.org/jira/browse/NETBEANS-2482
> Project: NetBeans
>  Issue Type: Bug
>  Components: php - Editor
>Affects Versions: 11.0
> Environment: Ubuntu 18.04
>Reporter: David Suna
>Priority: Minor
>
> When I open a PHP project in Netbeans 11.0 and control click on a method 
> called within another method the editor does not jump to the defined method. 
> It jumps to the beginning of the class definition.



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-1861) Recognize @method static for documenting static methods

2019-08-10 Thread Junichi Yamamoto (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-1861?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904552#comment-16904552
 ] 

Junichi Yamamoto commented on NETBEANS-1861:


Could you please write example code and behavior you expect?

> Recognize @method static for documenting static methods
> ---
>
> Key: NETBEANS-1861
> URL: https://issues.apache.org/jira/browse/NETBEANS-1861
> Project: NetBeans
>  Issue Type: Improvement
>  Components: php - Code Analysis, php - Editor, php - PHPDoc
>Affects Versions: 8.2, 9.0, 10.0
>Reporter: Ales Seifert
>Priority: Major
>
> The static keyword is not documented at phpdoc.org yet but it is stated that 
> it was added in 2.9.1 or probably 3.x branch here:
> [https://github.com/phpDocumentor/phpDocumentor2/issues/822]
> Other recent IDEs seems to support this syntax already.



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Assigned] (NETBEANS-1047) PHP spaces when using Source / Organize Members

2019-08-10 Thread Junichi Yamamoto (JIRA)


 [ 
https://issues.apache.org/jira/browse/NETBEANS-1047?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Junichi Yamamoto reassigned NETBEANS-1047:
--

Assignee: Junichi Yamamoto

> PHP spaces when using Source / Organize Members
> ---
>
> Key: NETBEANS-1047
> URL: https://issues.apache.org/jira/browse/NETBEANS-1047
> Project: NetBeans
>  Issue Type: Bug
>  Components: php - Formatting  Indentation
>Affects Versions: 9.0
>Reporter: Alberto Rinaudo
>Assignee: Junichi Yamamoto
>Priority: Minor
>
> Hi,
> This thing has been bugging me for a long time.
> I always use "Organize Members" to make my code look clean and readable with 
> 0 effort.
> For php, however, some spaces are put in the wrong place.
> This is how php is formatted when using "OR":
> {code}
>  $tb = FALSE;
> if ($tb OR ! $tb)
>   ;
> if ($tb OR ( !$tb))
>   ;
> {code}
>  
> this is how it is formatted when using "||":
> {code}
>  $tb = FALSE;
> if ($tb || !$tb)
>   ;
> if ($tb || (!$tb))
>   ;
> {code}
>  
> As you can see extra spaces are added after "!" and "(" 
>  I always use OR/AND keywords as a habit, I'd love to see this fixed
> Thanks.



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Updated] (NETBEANS-2968) Identify the class despite the letters with wrong size.

2019-08-10 Thread Michal Rama (JIRA)


 [ 
https://issues.apache.org/jira/browse/NETBEANS-2968?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Michal Rama updated NETBEANS-2968:
--
Description: 
Hello,

I thought of a feature that would be quite useful.

If I write eg.
{code:java}
var timeline = new Timeline();{code}
NetBeans recognizes that it is a *javafx.animation.Timeline* and offers to 
import it.

But, if I write
{code:java}
var timeline = new timeline();{code}
NetBeans will only offer to create this class because class *timeline* does not 
exist.

Therefore, I would be grateful if NetBeans could find a class even if one or 
more letters did not have the correct case.

To offer me an import of *javafx.animation.Timeline*, whether I write Timeline, 
timeline, timeLine, TimeLine, etc.

Thank you

  was:
Hello,

I thought of a feature that would be quite useful.

If I write eg.

 
{code:java}
var timeline = new Timeline();{code}
NetBeans recognizes that it is a *javafx.animation.Timeline* and offers to 
import it.

But, if I write

 
{code:java}
var timeline = new timeline();{code}
NetBeans will only offer to create this class because class *timeline* does not 
exist.

 

Therefore, I would be grateful if NetBeans could find a class even if one or 
more letters did not have the correct case.

To offer me an import of *javafx.animation.Timeline*, whether I write Timeline, 
timeline, timeLine, TimeLine, etc.

Thank you

 


> Identify the class despite the letters with wrong size.
> ---
>
> Key: NETBEANS-2968
> URL: https://issues.apache.org/jira/browse/NETBEANS-2968
> Project: NetBeans
>  Issue Type: Improvement
>  Components: java - Editor
> Environment: Windows 10, NetBeans Linux 1187, Java 12.0.2
>Reporter: Michal Rama
>Priority: Trivial
>  Labels: class, import, java, package
>
> Hello,
> I thought of a feature that would be quite useful.
> If I write eg.
> {code:java}
> var timeline = new Timeline();{code}
> NetBeans recognizes that it is a *javafx.animation.Timeline* and offers to 
> import it.
> But, if I write
> {code:java}
> var timeline = new timeline();{code}
> NetBeans will only offer to create this class because class *timeline* does 
> not exist.
> Therefore, I would be grateful if NetBeans could find a class even if one or 
> more letters did not have the correct case.
> To offer me an import of *javafx.animation.Timeline*, whether I write 
> Timeline, timeline, timeLine, TimeLine, etc.
> Thank you



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Created] (NETBEANS-2968) Identify the class despite the letters with wrong size.

2019-08-10 Thread Michal Rama (JIRA)
Michal Rama created NETBEANS-2968:
-

 Summary: Identify the class despite the letters with wrong size.
 Key: NETBEANS-2968
 URL: https://issues.apache.org/jira/browse/NETBEANS-2968
 Project: NetBeans
  Issue Type: Improvement
  Components: java - Editor
 Environment: Windows 10, NetBeans Linux 1187, Java 12.0.2
Reporter: Michal Rama


Hello,

I thought of a feature that would be quite useful.

If I write eg.

 
{code:java}
var timeline = new Timeline();{code}
NetBeans recognizes that it is a *javafx.animation.Timeline* and offers to 
import it.

But, if I write

 
{code:java}
var timeline = new timeline();{code}
NetBeans will only offer to create this class because class *timeline* does not 
exist.

 

Therefore, I would be grateful if NetBeans could find a class even if one or 
more letters did not have the correct case.

To offer me an import of *javafx.animation.Timeline*, whether I write Timeline, 
timeline, timeLine, TimeLine, etc.

Thank you

 



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-2122) Support "native" Git

2019-08-10 Thread Eric Bresie (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2122?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904520#comment-16904520
 ] 

Eric Bresie commented on NETBEANS-2122:
---

So what is needed for there to be "native git" implemented here? 

Assume need

(1) Some way of linking up with external git tool  (i.e. configured location of 
external git)

(2) Some "git shell" type layer to provide parameters to the git calls

(3) Consume the output from the git commands and display in a user friendly way

(4) Have applicable menu items and/or project related actions which links up to 
this.

 

Is there some similar "Command line" tool netbeans interface to leverage here?  
Maybe a shell interface of some type?

 

> Support "native" Git
> 
>
> Key: NETBEANS-2122
> URL: https://issues.apache.org/jira/browse/NETBEANS-2122
> Project: NetBeans
>  Issue Type: Bug
>  Components: versioncontrol - Git
>Affects Versions: 10.0
>Reporter: Anthony Vanelverdinghe
>Priority: Major
>
> Native git should be supported because:
> * JGit inevitably lags behind native git, e.g. support for "gitattributes" 
> [1] took over 7(!) years, and there's still no support for "git worktree" [2] 
> and "includeIf" [3]
> * JGit's lack of support for certain features leads to unreliable/surprising 
> behavior and possible data loss, e.g. [4]
> * NetBeans lags behind JGit (and quite a lot by now, see NETBEANS-519), 
> because it needs to upgrade the bundled JGit
> Due to the unreliable behavior, this is a Bug to me, not a New Feature.
> See also https://netbeans.org/bugzilla/show_bug.cgi?id=268242
> [1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=342372
> [2] https://bugs.eclipse.org/bugs/show_bug.cgi?id=477475
> [3] https://bugs.eclipse.org/bugs/show_bug.cgi?id=543171
> [4] https://bugs.eclipse.org/bugs/show_bug.cgi?id=477745



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Assigned] (NETBEANS-340) make maven-checkstyle-plugin error paths links

2019-08-10 Thread Karl Richter (JIRA)


 [ 
https://issues.apache.org/jira/browse/NETBEANS-340?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Karl Richter reassigned NETBEANS-340:
-

Assignee: (was: Karl Richter)

> make maven-checkstyle-plugin error paths links
> --
>
> Key: NETBEANS-340
> URL: https://issues.apache.org/jira/browse/NETBEANS-340
> Project: NetBeans
>  Issue Type: Improvement
>Affects Versions: 9.0
>Reporter: Karl Richter
>Priority: Minor
>
> It'd be nice if the output of the `maven-checkstyle-plugin` would be parsed 
> and source file paths in plain text be replace with links opening the sources 
> files like it's the case for compilation errors.
> experienced with 9.0-beta-rc2-43-g346c2aba4



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-2922) Can't activate HTML5 and Java EE modules

2019-08-10 Thread user124 (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2922?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904458#comment-16904458
 ] 

user124 commented on NETBEANS-2922:
---

Also tried. Yes, it works but i leave previous configuration from previous 
releases and it works for me also.

> Can't activate HTML5 and Java EE modules
> 
>
> Key: NETBEANS-2922
> URL: https://issues.apache.org/jira/browse/NETBEANS-2922
> Project: NetBeans
>  Issue Type: Bug
>Affects Versions: 11.0, 11.1
> Environment: Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
> Runtime: OpenJDK Runtime Environment 12.0.2+10
> System: Linux version 5.2.2-1-default running on amd64; UTF-8; ru_UA (nb)
>Reporter: user124
>Priority: Critical
> Attachments: Screenshot_20190730_220847.png, 
> Screenshot_20190810_175435.png
>
>
> Can't activate HTML5 and Java EE modules, Throws exception: "The plugin named 
> org.netbeans.libs.oracle.jsparser is needed and not found."



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-2922) Can't activate HTML5 and Java EE modules

2019-08-10 Thread Benjamin Graf (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2922?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904454#comment-16904454
 ] 

Benjamin Graf commented on NETBEANS-2922:
-

Try install manually:
http://plugins.netbeans.org/plugin/74901/oracle-js-parser-implementation
http://plugins.netbeans.org/plugin/73454/nb-javac-library

Maybe it's a solution in the meantime.


> Can't activate HTML5 and Java EE modules
> 
>
> Key: NETBEANS-2922
> URL: https://issues.apache.org/jira/browse/NETBEANS-2922
> Project: NetBeans
>  Issue Type: Bug
>Affects Versions: 11.0, 11.1
> Environment: Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
> Runtime: OpenJDK Runtime Environment 12.0.2+10
> System: Linux version 5.2.2-1-default running on amd64; UTF-8; ru_UA (nb)
>Reporter: user124
>Priority: Critical
> Attachments: Screenshot_20190730_220847.png, 
> Screenshot_20190810_175435.png
>
>
> Can't activate HTML5 and Java EE modules, Throws exception: "The plugin named 
> org.netbeans.libs.oracle.jsparser is needed and not found."



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Updated] (NETBEANS-1872) CSS parser loops infinitely with specific code

2019-08-10 Thread ASF GitHub Bot (JIRA)


 [ 
https://issues.apache.org/jira/browse/NETBEANS-1872?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

ASF GitHub Bot updated NETBEANS-1872:
-
Labels: background-scanning pull-request-available  (was: 
background-scanning)

> CSS parser loops infinitely with specific code
> --
>
> Key: NETBEANS-1872
> URL: https://issues.apache.org/jira/browse/NETBEANS-1872
> Project: NetBeans
>  Issue Type: Bug
>  Components: editor - Parsing  Indexing, ide - Performance, web 
> - CSS Editor
>Affects Versions: 8.2, 10.0, 11.0
>Reporter: Mondane
>Priority: Major
>  Labels: background-scanning, pull-request-available
> Attachments: slider.phtml
>
>
> I've come across a PHP-file which stalls the background scanning process. 
> How to reproduce:
>  * Download the attached file
>  * Create a new PHP 7.1 project with existing sources
>  ** Select the folder containing that one file
> The background scan initiates and never stops.
> History: 
> http://mail-archives.apache.org/mod_mbox/netbeans-users/201901.mbox/%3CCAB8E-LGcfjm7_91gRvt%3D8zKij8Eon6yG4aMw%3D7jbEij10Pd4vg%40mail.gmail.com%3E



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Comment Edited] (NETBEANS-2922) Can't activate HTML5 and Java EE modules

2019-08-10 Thread user124 (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2922?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904450#comment-16904450
 ] 

user124 edited comment on NETBEANS-2922 at 8/10/19 3:23 PM:


Product Version: Apache NetBeans IDE Dev (Build 20190804-unknown-revn)
 Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
 Runtime: OpenJDK Runtime Environment 12.0.2+10
 System: Linux version 5.2.5-1-default running on amd64; UTF-8; ru_UA (nb)
 User directory: /home/user0/.netbeans/dev
 Cache directory: /home/user0/.cache/netbeans/dev

Nothing special, no any proxy. Use OpenSUSE Tumbleweed.

>From the box, netbeans 11.1 has only 2 update centers while previous versions 
>had several. When i add update centers from previous releases - plugins 
>appears again and i can install what i want.

 


was (Author: user124):
Product Version: Apache NetBeans IDE Dev (Build 20190804-unknown-revn)
Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
Runtime: OpenJDK Runtime Environment 12.0.2+10
System: Linux version 5.2.5-1-default running on amd64; UTF-8; ru_UA (nb)
User directory: /home/user0/.netbeans/dev
Cache directory: /home/user0/.cache/netbeans/dev

Nothing special, no any proxy.

>From the box, netbeans 11.1 has only 2 update centers while previous versions 
>had several. When i add update centers from previous releases - plugins 
>appears again and i can install what i want.

 

> Can't activate HTML5 and Java EE modules
> 
>
> Key: NETBEANS-2922
> URL: https://issues.apache.org/jira/browse/NETBEANS-2922
> Project: NetBeans
>  Issue Type: Bug
>Affects Versions: 11.0, 11.1
> Environment: Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
> Runtime: OpenJDK Runtime Environment 12.0.2+10
> System: Linux version 5.2.2-1-default running on amd64; UTF-8; ru_UA (nb)
>Reporter: user124
>Priority: Critical
> Attachments: Screenshot_20190730_220847.png, 
> Screenshot_20190810_175435.png
>
>
> Can't activate HTML5 and Java EE modules, Throws exception: "The plugin named 
> org.netbeans.libs.oracle.jsparser is needed and not found."



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-2922) Can't activate HTML5 and Java EE modules

2019-08-10 Thread user124 (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2922?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904450#comment-16904450
 ] 

user124 commented on NETBEANS-2922:
---

Product Version: Apache NetBeans IDE Dev (Build 20190804-unknown-revn)
Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
Runtime: OpenJDK Runtime Environment 12.0.2+10
System: Linux version 5.2.5-1-default running on amd64; UTF-8; ru_UA (nb)
User directory: /home/user0/.netbeans/dev
Cache directory: /home/user0/.cache/netbeans/dev

Nothing special, no any proxy.

>From the box, netbeans 11.1 has only 2 update centers while previous versions 
>had several. When i add update centers from previous releases - plugins 
>appears again and i can install what i want.

 

> Can't activate HTML5 and Java EE modules
> 
>
> Key: NETBEANS-2922
> URL: https://issues.apache.org/jira/browse/NETBEANS-2922
> Project: NetBeans
>  Issue Type: Bug
>Affects Versions: 11.0, 11.1
> Environment: Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
> Runtime: OpenJDK Runtime Environment 12.0.2+10
> System: Linux version 5.2.2-1-default running on amd64; UTF-8; ru_UA (nb)
>Reporter: user124
>Priority: Critical
> Attachments: Screenshot_20190730_220847.png, 
> Screenshot_20190810_175435.png
>
>
> Can't activate HTML5 and Java EE modules, Throws exception: "The plugin named 
> org.netbeans.libs.oracle.jsparser is needed and not found."



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-2922) Can't activate HTML5 and Java EE modules

2019-08-10 Thread Benjamin Graf (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2922?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904448#comment-16904448
 ] 

Benjamin Graf commented on NETBEANS-2922:
-

This sound like a problem in the network stack. Anything special? Proxy? What 
kind of distribution do you use. From this point the problem is hard to catch.

> Can't activate HTML5 and Java EE modules
> 
>
> Key: NETBEANS-2922
> URL: https://issues.apache.org/jira/browse/NETBEANS-2922
> Project: NetBeans
>  Issue Type: Bug
>Affects Versions: 11.0, 11.1
> Environment: Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
> Runtime: OpenJDK Runtime Environment 12.0.2+10
> System: Linux version 5.2.2-1-default running on amd64; UTF-8; ru_UA (nb)
>Reporter: user124
>Priority: Critical
> Attachments: Screenshot_20190730_220847.png, 
> Screenshot_20190810_175435.png
>
>
> Can't activate HTML5 and Java EE modules, Throws exception: "The plugin named 
> org.netbeans.libs.oracle.jsparser is needed and not found."



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-2922) Can't activate HTML5 and Java EE modules

2019-08-10 Thread user124 (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2922?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904446#comment-16904446
 ] 

user124 commented on NETBEANS-2922:
---

Already tried and there is another problem because of, even, with a fresh 
install there is no any plugins for downloading (some problems with repos from 
the box).

Look at: https://issues.apache.org/jira/browse/NETBEANS-2924

> Can't activate HTML5 and Java EE modules
> 
>
> Key: NETBEANS-2922
> URL: https://issues.apache.org/jira/browse/NETBEANS-2922
> Project: NetBeans
>  Issue Type: Bug
>Affects Versions: 11.0, 11.1
> Environment: Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
> Runtime: OpenJDK Runtime Environment 12.0.2+10
> System: Linux version 5.2.2-1-default running on amd64; UTF-8; ru_UA (nb)
>Reporter: user124
>Priority: Critical
> Attachments: Screenshot_20190730_220847.png, 
> Screenshot_20190810_175435.png
>
>
> Can't activate HTML5 and Java EE modules, Throws exception: "The plugin named 
> org.netbeans.libs.oracle.jsparser is needed and not found."



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-2922) Can't activate HTML5 and Java EE modules

2019-08-10 Thread Benjamin Graf (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2922?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=1690#comment-1690
 ] 

Benjamin Graf commented on NETBEANS-2922:
-

Try with a fresh installation. It looks a bit odd that the download button is 
disabled for you.

> Can't activate HTML5 and Java EE modules
> 
>
> Key: NETBEANS-2922
> URL: https://issues.apache.org/jira/browse/NETBEANS-2922
> Project: NetBeans
>  Issue Type: Bug
>Affects Versions: 11.0, 11.1
> Environment: Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
> Runtime: OpenJDK Runtime Environment 12.0.2+10
> System: Linux version 5.2.2-1-default running on amd64; UTF-8; ru_UA (nb)
>Reporter: user124
>Priority: Critical
> Attachments: Screenshot_20190730_220847.png, 
> Screenshot_20190810_175435.png
>
>
> Can't activate HTML5 and Java EE modules, Throws exception: "The plugin named 
> org.netbeans.libs.oracle.jsparser is needed and not found."



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-2922) Can't activate HTML5 and Java EE modules

2019-08-10 Thread user124 (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2922?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904441#comment-16904441
 ] 

user124 commented on NETBEANS-2922:
---

Unfortunately it didn't work. Still can't be activated because of absent 
modules. !Screenshot_20190810_175435.png!

> Can't activate HTML5 and Java EE modules
> 
>
> Key: NETBEANS-2922
> URL: https://issues.apache.org/jira/browse/NETBEANS-2922
> Project: NetBeans
>  Issue Type: Bug
>Affects Versions: 11.0, 11.1
> Environment: Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
> Runtime: OpenJDK Runtime Environment 12.0.2+10
> System: Linux version 5.2.2-1-default running on amd64; UTF-8; ru_UA (nb)
>Reporter: user124
>Priority: Critical
> Attachments: Screenshot_20190730_220847.png, 
> Screenshot_20190810_175435.png
>
>
> Can't activate HTML5 and Java EE modules, Throws exception: "The plugin named 
> org.netbeans.libs.oracle.jsparser is needed and not found."



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Updated] (NETBEANS-2922) Can't activate HTML5 and Java EE modules

2019-08-10 Thread user124 (JIRA)


 [ 
https://issues.apache.org/jira/browse/NETBEANS-2922?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

user124 updated NETBEANS-2922:
--
Attachment: Screenshot_20190810_175435.png

> Can't activate HTML5 and Java EE modules
> 
>
> Key: NETBEANS-2922
> URL: https://issues.apache.org/jira/browse/NETBEANS-2922
> Project: NetBeans
>  Issue Type: Bug
>Affects Versions: 11.0, 11.1
> Environment: Java: 12.0.2; OpenJDK 64-Bit Server VM 12.0.2+10
> Runtime: OpenJDK Runtime Environment 12.0.2+10
> System: Linux version 5.2.2-1-default running on amd64; UTF-8; ru_UA (nb)
>Reporter: user124
>Priority: Critical
> Attachments: Screenshot_20190730_220847.png, 
> Screenshot_20190810_175435.png
>
>
> Can't activate HTML5 and Java EE modules, Throws exception: "The plugin named 
> org.netbeans.libs.oracle.jsparser is needed and not found."



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists



[jira] [Commented] (NETBEANS-2940) StackOverflow on JavaScript Indexing

2019-08-10 Thread Ivan Yakovlev (JIRA)


[ 
https://issues.apache.org/jira/browse/NETBEANS-2940?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel=16904416#comment-16904416
 ] 

Ivan Yakovlev commented on NETBEANS-2940:
-

> Exclude them from parsing in the Options window, in its Files tab.

Done.

On my Home PC:
```
Product Version: Apache NetBeans IDE Dev (Build netbeans-linux-1190-on-20190804)
Java: 11.0.4; OpenJDK 64-Bit Server VM 11.0.4+11-post-Ubuntu-1ubuntu218.04.3
Runtime: OpenJDK Runtime Environment 11.0.4+11-post-Ubuntu-1ubuntu218.04.3
System: Linux version 4.15.0-55-generic running on amd64; UTF-8; ru_RU (nb)
```

I'm removed netbeans cache folder, Netbeans taken rescan all projects 
successfully. Now on home PC everithing just fine.
On Monday I'll do the same manipulations on my work PC and will check how it's 
going.

> StackOverflow on JavaScript Indexing
> 
>
> Key: NETBEANS-2940
> URL: https://issues.apache.org/jira/browse/NETBEANS-2940
> Project: NetBeans
>  Issue Type: Bug
>  Components: javascript - Editor
>Affects Versions: 10.0, 11.1
>Reporter: E Dementiev
>Priority: Major
> Attachments: 2019-08-08-08-00-01.png, 2019-08-08-12-00-01.png, 
> 2019-08-08-14-00-01.png, 2019-08-09-09-00-01.png, 
> 2019-08-09-09-00-02-htop.png, 2019-08-09-09-00-03.png, 
> 2019-08-09-09-00-05.png, 2019-08-09-09-00-exception-log.txt, 
> 2019-08-09-12-00-01-JRE.png, 2019-08-09-14-00-01.png, 
> 2019-08-09-14-00-02.png, 2019-08-09-14-00-02.png, 2019-08-09-14-00-03.png, 
> 2019-08-09-14-00-03.png, 2019-08-09-17-30-IDE-log.txt, 
> 2019-08-09-17-30-java.lang.StackOverflowError.txt, 
> 2019-08-09-netbeans-11.1-about.png, 2019-08-09-netbeans-8.2-about.png, 
> netbeans-11.1.conf, netbeans-8.2.conf, selfsampler15073537369378979592.npss, 
> selfsampler17323576831159964034.npss, selfsampler231953002133054481.npss, 
> selfsampler4496583350478949316.npss
>
>
> Very often Netbeans would start consuming high CPU resources for the job of 
> Checking for external changes, which sits in suspended status. If you click 
> on the cross and manually cancel that job, the CPU will keep being consumed.
> The only way to stop this is to completely close Netbeans. Upon closing, it 
> will say that it is still checking for external changes.



--
This message was sent by Atlassian JIRA
(v7.6.14#76016)

-
To unsubscribe, e-mail: commits-unsubscr...@netbeans.apache.org
For additional commands, e-mail: commits-h...@netbeans.apache.org

For further information about the NetBeans mailing lists, visit:
https://cwiki.apache.org/confluence/display/NETBEANS/Mailing+lists